Bug 582988 - [Indic] Dependent Vowels are joined with other Dependent Vowels without any dotted circle
[Indic] Dependent Vowels are joined with other Dependent Vowels without any d...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 06:59 EDT by A S Alam
Modified: 2013-07-02 21:00 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 20:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot with gedit (pango), openoffice.org (icu), and kwrite (qt) (253.82 KB, image/png)
2010-04-16 06:59 EDT, A S Alam
no flags Details
Update attachment with Red Mark (106.20 KB, image/png)
2010-04-16 07:07 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-9976 None None None Never

  None (edit)
Description A S Alam 2010-04-16 06:59:53 EDT
Created attachment 407064 [details]
Screenshot with gedit (pango), openoffice.org (icu), and kwrite (qt)

Description of problem:
Dependent Vowels are joined with other Dependent Vowels without any dotted circle for Indic Languages. This is very odd as it was previously working with qt, but not with GNOME, icu

Version-Release number of selected component (if applicable):
pango-1.28.0-1.fc13.x86_64
qt-4.6.2-13.fc13.x86_64
libicu-4.2.1-8.fc13.x86_6

How reproducible:
100%

Steps to Reproduce:
1. Type following unicode in Text Editor(Copy Paste can also work)
2. 0915+0947+0947+0947 (क + े + े + े = केेे)
3.
  
Actual results:
Showing only One Character with One Vowel (Seems only)

Expected results:
It should should two dotted circle. Check Screenshot with Gedit/Openoffice

Additional info:
Going to upstream with qt
Comment 1 A S Alam 2010-04-16 07:05:20 EDT
ok, not found Nokia qt component in External References. so following is URL:

http://bugreports.qt.nokia.com/browse/QTBUG-9976
Comment 2 A S Alam 2010-04-16 07:07:15 EDT
Created attachment 407067 [details]
Update attachment with Red Mark
Comment 3 Steven M. Parrish 2010-06-04 20:45:14 EDT
Thanks for reporting this upstream.  We will monitor the upstream bug for a resolution.

Thanks for reporting the issue.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 A S Alam 2010-10-01 12:19:02 EDT
issue is fixed with qt-4.7.0-3.fc14.x86_64, but for Fedora 13 (with qt-4.6.x), issue exist.

Note You need to log in before you can comment on or make changes to this bug.